[**@lancedb/lancedb**](../../../README.md) • **Docs**

***

[@lancedb/lancedb](../../../globals.md) / [embedding](../README.md) / FieldOptions

# Interface: FieldOptions&lt;T&gt;

## Type Parameters

• **T** *extends* `DataType` = `DataType`

## Properties

### datatype

```ts
datatype: T;
```

***

### dims?

```ts
optional dims: number;
```
